### Function Macro

# GLib GNUC_CHECK_VERSION

since: 2.42

#### Declaration [src]

    #define G_GNUC_CHECK_VERSION (
      major,
      minor
    )

#### Description [src]

Expands to a check for a compiler with GNUC defined and a version greater than or equal to the major and minor numbers provided. For example, the following would only match on compilers such as GCC 4.8 or newer.

    #if G_GNUC_CHECK_VERSION(4, 8)
    #endif

Available since: 2.42

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  Major version to check against.

`minor`

  Type: `-`

  Minor version to check against.